/* $Id: vctl_text.c,v 1.1 2001/04/09 18:30:43 mickey Exp $ */

#include <vchatctl.h>
#include <proto.h>
/* #include "../vserver/include/vctl_proto.h" */

#include <ctype.h>

int op_text(void)
{
	for(;;)
	{
		u_char inpline[512];
		u_char *p;
		u_char *s = &inpline[0];
		u_char *arg = NULL;

		printf("VCHATCTL> ");
		fflush(stdout);

		if(fgets(inpline, 512, stdin) == NULL)
			break;

		while((p = (u_char *)strrchr(inpline, '\r')) != NULL)
			*p = '\0';

		while((p = (u_char *)strrchr(inpline, '\n')) != NULL)
			*p = '\0';

		if((arg = (u_char *)strchr(inpline, ' ')) != NULL)
			*arg++ = '\0';

		if(inpline[0] == '\0')
			continue;

		while(*s != '\0')
		{
			*s = tolower(*s);

			++s;
		}

		if(!strcmp(inpline, "kill"))
		{
			if(!arg)
				printf("The kill command requires an argument.\n");
			else
				kill(arg, 0);
		}
		else if(!strcmp(inpline, "killsilent"))
		{
			if(!arg)
				printf("The killsilent command requires an argument.\n");
			else
				kill(arg, 1);
		}
		else if(!strcmp(inpline, "ulist"))
		{
			ulist();
		}
		else if(!strcmp(inpline, "suppress"))
		{
			suppress();
		}
		else if(!strcmp(inpline, "wall"))
		{
			if(!arg)
				printf("The wall command requires an argument.\n");
			else
				wall(arg);
		}
		else if(!strcmp(inpline, "shutdown"))
		{
			server_shutdown();
		}
		else if(!strcmp(inpline, "help"))
		{
			printf("                   HELP MENU\n\n");
			printf("help             - This help menu.\n");
			printf("kill <nickname>  - Kill the specified user.\n");
			printf("ulist            - See who is currently chatting.\n");
			printf("suppress         - Toggle suppression of client IP address display.\n");
			printf("wall <message>   - Write a broadcast message to all users.\n");
			printf("shutdown         - Request conference server shutdown.\n \n");
			printf("exit             - Exit this program.\n");
		}
		else if(!strcmp(inpline, "quit") || !strcmp(inpline, "exit"))
		{
			break;
		}
		else
		{
			printf("unrecognized keyword '%s' - Type 'help' for a list of commands.\n",
				inpline);
		}

		fflush(stdout);
	}

	return(0);
}
