/* $Id: cmd_acl_flush.c,v 1.1 2001/04/09 18:30:43 mickey Exp $ */

#include <vserver.h>
#include <vproto/types.h>
#include <proto.h>
#include <extern.h>

/*
 * void cmd_acl_flush(CLDATA *ptr);
 *
 * Flush all ACL rules from the database.
 */

void cmd_acl_flush(CLDATA *ptr)
{
	/*
	 * Check if the client is permitted to use ACL commands
	 */

	if(!(ptr->accperm & AUTH_ACL))
	{
		snd_svmsg(ptr, "* You are not authorized to use ACL commands");
		return;
	}

	/*
	 * Flush ACL database
	 */

	acl_flush();

	snd_svmsg(ptr, "* flushed ACL database");
}
