/* $Id: cmd_action.c,v 1.1 2001/04/09 18:30:43 mickey Exp $ */

#include <vserver.h>
#include <vproto/types.h>
#include <proto.h>
#include <extern.h>

/*
 * void cmd_action(CLDATA *ptr, u_char *dat);
 *
 * Send an action message on the current conference channel.
 */

void cmd_action(CLDATA *ptr, u_char *dat)
{
	if(chatters(ptr->channel) > 1)
	{
		register int	i;
		register CLDATA	*pt;

		touch_channel(ptr->channel);
		time(&ptr->stamp);
		++ptr->pubmsgcnt;

		for(i = 0; i < clients; i++)
		{
			pt = cl_addr(i);

			if(pt->channel == ptr->channel)
			{
				snd_svmsg(pt, "%s=%s>%s %s%s %s%s",
					S_BOLD, S_FG_MAG, S_OFF, S_BOLD, ptr->nick, dat, S_OFF);
			}
		}

#ifdef MSGDB
		/*
		 * Stuff the message into the database.
		 */

		{
			char	xbuf[SVMSGBUF];
			sprintf(xbuf, "%s %s", ptr->nick, dat);

			msg_storedb(ptr->nick, NULL, xbuf);
		}

#endif	/* MSGDB */

	}
	else
	{
		snd_svmsg(ptr, "* You are alone in this conference -- nobody can hear you.");
	}
}
