/* $Id: cmd_asstopic.c,v 1.1 2001/04/09 18:30:43 mickey Exp $ */

#include <vserver.h>
#include <vproto/types.h>
#include <proto.h>
#include <extern.h>

/*
 * void cmd_asstopic(CLDATA *ptr, u_char *dat);
 *
 * Assign the specified topic to the current conference channel of
 * the calling client.
 */

void cmd_asstopic(CLDATA *ptr, u_char *dat)
{
	store_topic(ptr->channel, dat, CHFLG_REMOVABLE);
	touch_channel(ptr->channel);

	snd_svmsg(ptr, "* Topic for channel %s%d%s is %s%s%s",
		S_FG_BLU, ptr->channel, S_OFF, S_BOLD, dat, S_OFF);
}
