/* $Id: cmd_chmodperm.c,v 1.1 2001/04/09 18:30:43 mickey Exp $ */

#include <vserver.h>
#include <vproto/types.h>
#include <proto.h>
#include <extern.h>

/*
 * void chmodperm(CLDATA *ptr, u_char *dat, size_t len);
 *
 * Change the access mode of registered nicknames
 */

void cmd_chmodperm(CLDATA *ptr, u_char *dat, size_t len)
{
	/*
	 * Check if the client is permitted to execute CHMODPERM command
	 */

	if(!(ptr->accperm & AUTH_CHMODPERM))
	{
		snd_svmsg(ptr, "* You are not authorized to change modify permissions");
		return;
	}

	change_perm(ptr, 'm', dat, len);
}
