/* $Id: acl.h,v 1.2 2002/06/21 16:59:07 mickey Exp $ */

#ifndef __ACL_H__
#define __ACL_H__

#ifdef WIN32
  #include <winsock.h>
#else
  #include <netinet/in.h>
#endif

#define	ACL_LINESIZE	256		/* Maximum linewidth in a file	*/
#define	ACL_MSGBUFSIZE	512		/* ACL command messsage buffer	*/
#define	ACL_MAXARGS	32		/* Maximum #arguments per line	*/

typedef struct
{
	struct in_addr	address;
	struct in_addr	netmask;
	u_short		rule;
	u_char		action;
	time_t		expires;

} ACLRULE;

#define	RULE(x)		(ACLRULE *)(acl_base + x);

#endif /* __ACL_H__ */
