/* $Id: cmd_prvmsg.c,v 1.1 2001/04/09 18:30:44 mickey Exp $ */

#include <vserver.h>
#include <vproto/types.h>
#include <proto.h>
#include <extern.h>

/*
 * void cmd_prvmsg(CLDATA *ptr, u_char *dat);
 *
 * Send private chat message
 */

void cmd_prvmsg(CLDATA *ptr, u_char *dat)
{
	register CLDATA	*cl;
	register int	i;
	register int	n	= 0;
	char		*msg;

	/*
	 * Determine the receiver
	 * and the message.
	 */

	if((msg = (char *)strchr(dat, ' ')) == NULL)
	{
		snd_svmsg(ptr, "* %sInvalid private message data%s",
			S_FG_RED, S_OFF);
		vlog(VLOG_WARNING, "WARNING: Client sent invalid private message data USER: %s NICK: %s HOST: %s",
			 ptr->user, ptr->nick, ptr->host);
		return;
	}
	else
	{
		*msg++ = '\0';
	}

	/*
	 * Lookup client entries
	 */

	for(i = 0; i < clients; i++)
	{
		cl = cl_addr(i);

		if(strcmp(cl->nick, dat) == 0)
		{
			snd_svmsg(cl, "(*%s%s%s*) %s",
			S_FG_MAG, ptr->nick, S_OFF, msg);

			n++;
			++ptr->prvmsgcnt;
		}
	}

	if(!n)
	{
		snd_svmsg(ptr, "* Nickname '%s%s%s' not found",
		S_FG_RED, S_OFF, dat);
	}
	else if(ptr->cl_opts & CL_OPT_PRVECHO)
	{
		snd_svmsg(ptr, "(+%s%s%s+) %s",
			S_FG_CYN, dat, S_OFF, msg);
	}
}
