/* $Id: cmd_pubmsg.c,v 1.1 2001/04/09 18:30:44 mickey Exp $ */

#include <vserver.h>
#include <proto.h>
#include <extern.h>

/*
 * void cmd_pubmsg(CLDATA *ptr, u_char *dat);
 *
 * Send a public chat message
 */

void cmd_pubmsg(CLDATA *ptr, u_char *dat)
{
	if(chatters(ptr->channel) > 1)
	{
		register CLDATA	*pt;
		register int	i;

		touch_channel(ptr->channel);
		time(&ptr->stamp);
		++ptr->pubmsgcnt;

		for(i = 0; i < clients; i++)
		{
			pt = cl_addr(i);

			if(pt->channel == ptr->channel)
			{
				if(pt->fd != ptr->fd)
					snd_svmsg(pt, "(%s) %s", ptr->nick, dat);
				else
					snd_svmsg(pt, "%s",dat);
			}
		}

#ifdef MSGDB
		/*
		 * Stuff the message into the database.
		 */

		msg_storedb(ptr->nick, NULL, dat);

#endif /* MSGDB */

	}
	else
	{
		snd_svmsg(ptr, "* You are alone in this conference -- nobody can hear you.");
	}
}
