/* $Id: global.c,v 1.5 2002/06/23 23:16:06 mickey Exp $ */

#include <vserver.h>
#include <proto.h>

/**       **
 * Globals *
 **       **/

char		*prog_name;			/* Program name		*/
int		sock;				/* Server socket descr.	*/
struct sockaddr_in sock_in;			/* Socketaddr structure	*/
FILE		*lgf		= NULL;		/* Log stream or NULL	*/
CFDATA		cfdata;				/* Configuration data	*/
VTOPIC		vtop;				/* Topic data structure	*/
TMSTAT		tmstat;				/* Timer status data	*/
VS_STAT		vs;				/* Server status data	*/
CLDATA		*cl_buf		= NULL;		/* Client data buffer	*/
int		clients		= 0;		/* # of active clients	*/
ACLRULE		*acl_base	= (ACLRULE *)0;	/* ACL rule data buffer	*/
int		acl_numrules	= 0;		/* number of ACL rules	*/
AUTHREC		*auth_base      = (AUTHREC *)0;	/* Authority data	*/
int             auth_numrec     = 0;		/* # of authority recs.	*/
int		llog_fd		= 0;		/* Lastlog file desc.	*/
void		*llog_base	= NULL;		/* Lastlog base address */
char		vserv_shutdown	= 0;		/* Server shutdown flag */
LLOGHEAD	*llog_header	= NULL;		/* Lastlog header struct*/
struct timeval	lastaccept;			/* Flood protect	*/

u_short		dynacl_next	= DYNACL_FIRST_RULE;	/* Next dynamic ACL */

#ifdef MSGDB
char		*sql_cmd	= "<none>";	/* last SQL command	*/
#endif

#ifndef WIN32

int		ctlsock		= 0;		/* ctlsocket descriptor	*/
struct sockaddr_un saun;			/* ctlsocketaddr struct	*/

#else

SERVICE_STATUS	ssStatus;			/* Status of service	*/
SERVICE_STATUS_HANDLE	sshStatusHandle;	/* Servicestatus handle	*/
DWORD		dwErr		= 0;		/* Error code		*/
TCHAR		szErr[256];			/* Error string		*/
u_char		wsa_is_init	= 0;		/* WinSock initialized?	*/

#endif
