/* $Id: auth.h,v 1.1 2001/04/09 18:30:45 mickey Exp $ */

#ifndef __AUTH_H__
#define __AUTH_H__

/*
 * The authorization record
 */

typedef struct
{
	u_int32_t	accperm;		/* Access permission mask	*/
	u_int32_t	modperm;		/* Modify permission mask	*/
	time_t		account_created;	/* Time account was created	*/
	time_t		last_signon;		/* Time of last signon		*/
	time_t		last_signoff;		/* Time of last signoff		*/
	u_int32_t	sessioncnt;		/* Session counter		*/
	u_int32_t	pubmsgcnt;		/* Public message counter	*/
	u_int32_t	prvmsgcnt;		/* Private message counter	*/
	u_int32_t	cl_opts;		/* Client option flags		*/
	u_char		nick[VPNICKSIZE+1];	/* Nickname			*/
	u_char		passwd[VPPASSWDSIZE+1];	/* Password			*/

} AUTHREC;

#define	GETAUTHREC(x)	(AUTHREC *)(auth_base + x);

#endif /* __AUTH_H__ */
