/* $Id: microtime.h,v 1.1 2001/04/09 18:30:45 mickey Exp $ */

#ifndef __MICROTIME_H__
#define __MICROTIME_H__

#ifdef HAVE_SYS_TIME_H
  #include <sys/time.h>
#endif

#ifdef VSERVER
  #define NUMSTATS	512
#else
  #define NUMSTATS	6
#endif

typedef struct
{
	struct	timeval	startmark;
	struct	timeval	endmark;

	struct	timeval	statvalue[NUMSTATS];

	u_short	statindex;

} TMSTAT;

typedef struct
{
	struct	timeval	_min;
	struct	timeval _avg;
	struct	timeval _max;

} TMREPORT;

#endif /* __MICROTIME_H__ */
