/* $Id: vctlproto.h,v 1.1 2001/04/09 18:30:45 mickey Exp $ */

#ifndef _VCHATCTL_H_
#define _VCHATCTL_H_

/*
 * VCTL command bytes
 */

#define	VCTL_KILL	0x10
#define	VCTL_ULIST	0x11
#define	VCTL_SUPPRESS	0x12
#define	VCTL_WALL	0x13
#define	VCTL_SHUTDOWN	0x14
#define	VCTL_KILLSILENT	0x15
#define	VCTL_ULIST2	0x16

/*
 * VCTL server response types
 */

#define	VCTL_USER	0x20
#define	VCTL_INFO	0x21
#define	VCTL_UINFO	0x22

/*
 * VCTL control flags
 */

#define	VCTL_MSGCT	0x01	/* Message completes transaction	*/

/*
 * The VCTL structure
 */

typedef struct
{
	u_int16_t	type;
	u_int16_t	flags;
	u_int32_t	len;
	u_int8_t	data[1024];

} VCTL;

#define	VCTL_LEN(x)	(strlen((char *)(x)->data) + (2 * sizeof(u_int16_t)) + sizeof(u_int32_t))

#endif /* _VCHATCTL_H_ */
